websocket-sharp : WebSocketSharp.Net Namespace

# CookieCollection Class

Documentation for this section has not yet been entered.

## Syntax

public class CookieCollection : ICollection

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Net
Assembly: websocket-sharp (in websocket-sharp.dll)

## Members

See Also: Inherited members from object.

## Public Constructors

| CookieCollection () | Documentation for this section has not yet been entered.

## Public Properties

[read-only] | Count | int . Documentation for this section has not yet been entered.
[read-only] | IsReadOnly | bool . Documentation for this section has not yet been entered.
[read-only] | IsSynchronized | bool . Documentation for this section has not yet been entered.
[read-only] default property | Item (int) | Cookie . Documentation for this section has not yet been entered.
[read-only] default property | Item (string) | Cookie . Documentation for this section has not yet been entered.
[read-only] | SyncRoot | object . Documentation for this section has not yet been entered.

## Public Methods

| Add (Cookie) Documentation for this section has not yet been entered.
| Add (CookieCollection) Documentation for this section has not yet been entered.
| CopyTo (Array, int) Documentation for this section has not yet been entered.
| CopyTo (Cookie[], int) Documentation for this section has not yet been entered.
| GetEnumerator () : IEnumerator Documentation for this section has not yet been entered.

## Extension Methods

static | IsNull<T> (this T) : bool Determines whether the specified object is `null`.
static | IsNullDo<T> (this T, Action) : bool Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### CookieCollection Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public CookieCollection ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Add Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Add (Cookie cookie)

> #### Parameters

> > cookie
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Add Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Add (CookieCollection cookies)

> #### Parameters

> > cookies
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### CopyTo Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void CopyTo (Array array, int index)

> #### Parameters

> > array
> >   Documentation for this section has not yet been entered.
> > index
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### CopyTo Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void CopyTo (Cookie[] array, int index)

> #### Parameters

> > array
> >   Documentation for this section has not yet been entered.
> > index
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Count Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public int Count { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### GetEnumerator Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public IEnumerator GetEnumerator ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### IsReadOnly Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool IsReadOnly { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### IsSynchronized Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool IsSynchronized { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Item Property

> Documentation for this section has not yet been entered.

> ## Syntax

> This is the default property for this class.

> public Cookie this [int index] { get; }

> #### Parameters

> > index
> >   Documentation for this section has not yet been entered.

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Item Property

> Documentation for this section has not yet been entered.

> ## Syntax

> This is the default property for this class.

> public Cookie this [string name] { get; }

> #### Parameters

> > name
> >   Documentation for this section has not yet been entered.

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### SyncRoot Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public object SyncRoot { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)